
Foreman - Bug #2538

Hostgroup provisioning should fall back to root_pass setting

05/21/2013 08:59 PM - Chris Barbour

Status: Closed   

Priority: Normal   

Assignee: Joseph Magen   

Category:    

Target version: 1.2.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Hostgroup provisioning should fall back to the root_pass systemwide setting if none of the host groups provide a root password.

Currently, if the root_password isn't assigned to any of the host groups, a the value will return blank.

A patch is supplied with this bug report.

Related issues:

Related to Foreman - Bug #2527: Windows newlines not stripped from disk templ... Closed 05/21/2013

Associated revisions

Revision d56112fb - 05/29/2013 10:49 AM - Joseph Magen

fixes #2538 - hostgroup provisioning falls back to root_pass setting

Revision 1f37e93e - 05/29/2013 11:27 AM - Joseph Magen

fixes #2538 - hostgroup provisioning falls back to root_pass setting

(cherry picked from commit d56112fb7edf4230c3397cfec77d81b635fe441d)

History

#1 - 05/28/2013 10:06 AM - Joseph Magen

- Status changed from New to Assigned

- Assignee set to Joseph Magen

#2 - 05/29/2013 08:26 AM - Joseph Magen

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/665

#3 - 05/29/2013 11:17 AM - Joseph Magen

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset d56112fb7edf4230c3397cfec77d81b635fe441d.

Files

hostgroup_rootpass.patch 508 Bytes 05/21/2013 Chris Barbour
